# Gss

This module is small but powerful if you like to webscrape. Give Gss a site and a search query and it will return the top results for your search.

## Installation

Add this line to your application's Gemfile:

    gem 'gss'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install gss

## Usage

Here is the one line that you would want it for.
    
```
#!ruby

(top_result, top_results) = Gss.return_results("imdb.com", "Amazing Spiderman")
```


`top_result` is a Hash object has holds three values:

1. name        - The name of the link.
2. url         - The url to go to that site.
3. description - The short summary about what the link is about.

`top_results` is an array of Hash objects containing the top ten results

* The hash objects are the same as top_result.
* In fact `top_results[0]` would be equal to `top_result`.
* To get the second link would be `top_results[1]`

That is all that there is to it, but it is very helpful.

## Contributing

1. Fork it ( https://bitbucket.org/[my-github-username]/gss/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request